"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const path_1 = require("path");
const worker_threads_1 = require("worker_threads");
class ExecutionScript {
    constructor() {
        this._data = worker_threads_1.workerData;
        //noinspection SuspiciousTypeOfGuard
        if (typeof this._data.strategy !== 'string')
            throw new Error('Strategy is not a string');
        const file = (0, path_1.resolve)(process.cwd(), this._data.strategy);
        (0, fs_1.access)(file, (notAccessible) => {
            if (notAccessible)
                throw new Error(`File: ${file} not found`);
            //eslint-disable-next-line @typescript-eslint/no-var-requires
            const { default: StrategyClass } = require(file);
            const instance = new StrategyClass();
            instance.onStart();
        });
    }
}
new ExecutionScript();
//# sourceMappingURL=execution.script.js.map