"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Worker = void 0;
const worker_threads_1 = require("worker_threads");
class Worker {
    run(script) {
        new worker_threads_1.Worker(this._createScript(), {
            eval: true,
            workerData: {
                strategy: script
            },
            env: worker_threads_1.SHARE_ENV
        });
    }
    _createScript() {
        if (!this.isTsNodeAvailable())
            throw new Error('ts-node is not installed. Run "npm install -D ts-node“ and continue.');
        return `
      require("ts-node/register/transpile-only");
      require("${__dirname}/execution.script");
    `;
    }
    isTsNodeAvailable() {
        if (this._tsNodeAvailable) {
            return this._tsNodeAvailable;
        }
        try {
            require.resolve('ts-node');
            this._tsNodeAvailable = true;
        }
        catch (e) {
            if (e && (e === null || e === void 0 ? void 0 : e.code) === 'MODULE_NOT_FOUND') {
                this._tsNodeAvailable = false;
            }
            else {
                throw e;
            }
        }
        return this._tsNodeAvailable;
    }
}
exports.Worker = Worker;
//# sourceMappingURL=worker.js.map