#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = require("commander");
const package_json_1 = require("../package.json");
const index_1 = require("./index");
const program = new commander_1.Command('socktrader');
const runCommand = new commander_1.Command('run')
    .addOption(new commander_1.Option('-s, --strategy <name>', 'execute the strategy').makeOptionMandatory(true))
    .action(({ strategy }) => {
    try {
        const worker = new index_1.Worker();
        worker.run(strategy);
    }
    catch (e) {
        console.error(e);
    }
});
program
    .version(package_json_1.version)
    .addCommand(runCommand);
program.parse(process.argv);
//# sourceMappingURL=run.js.map